package org.howardism.example

class FooTests extends GroovyTestCase 
{
  void testNoBar()
  {
    Foo foo = new Foo()
    shouldFail {
      foo.value
    }
  }
  
  void testGetValue()
  {
    def barMock = new BarMock ( value:'Hello' )
    Foo foo = new Foo ( bar:barMock )
    assert 'Hello...' == foo.value
  }
}

class BarMock implements Bar
{
  String value
  String something() {
    return value
  }
}
